Attribute VB_Name = "MGoogleCal"
Option Explicit

Public Sub MakeGoogleAppointment()
    
    Dim dtStart As Date
    Dim dtDay As Date
    Dim ufGoogle As UGoogle
    Dim ai As AppointmentItem
    
    'if the user is on a calendar, get the date and/or time
    On Error Resume Next
        dtDay = Int(Application.ActiveExplorer.CurrentView.SelectedStartTime)
        dtStart = Application.ActiveExplorer.CurrentView.SelectedStartTime - dtDay
    On Error GoTo 0
    
    'if their not on a calendar, assume today
    If dtDay = 0 Then
        dtDay = Date
    End If
    
    'Get the rest of the string via a form
    Set ufGoogle = New UGoogle
    ufGoogle.Day = dtDay
    ufGoogle.When = dtStart
    ufGoogle.Initialize
    ufGoogle.Show
    
    'create the new appointment
    If Not ufGoogle.UserCancel Then
        Set ai = Application.CreateItem(olAppointmentItem)
        ai.Start = ufGoogle.When
        ai.Duration = ufGoogle.Duration * 60
        ai.Subject = ufGoogle.What
        ai.Location = ufGoogle.Location
        ai.Display
    End If
    
End Sub
